Workspaces

PATCH /public/v1/workspace-products/{id}

Update a workspace product. Only the fields you send are changed.

PATCH /public/v1/workspace-products/{id}

PATCH /public/v1/workspace-products/{id}

curl --request PATCH \
  --url 'https://api.joinvalley.co/public/v1/workspace-products/{ID}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
  "key": "value"
}'
{
  "statusCode": 1,
  "status": true,
  "message": "<string>",
  "data": {
    "workspace_product": {
      "id": "<string>",
      "workspace_id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "pain_points": [
        "<string>"
      ],
      "value_proposition": [
        "<string>"
      ],
      "proof_points": [
        "<string>"
      ],
      "cta": "<string>",
      "meeting_link": "<string>",
      "outreach_language": "<string>",
      "website_url": null,
      "product_url": null
    }
  }
}

Default Response

Authorizations

  • x-api-key string required header

    Your Valley API key.

Path Parameters

  • id string required

Request Body

application/json
  • name string
  • description string
  • painPoints[] string array
  • valueProposition[] string array
  • proofPoints[] string array
  • cta string
  • meetingLink string
  • outreachLanguage string
  • websiteUrl string

    Company / website URL.

  • productUrl string
  • customerProfile string

    Ideal Customer Profile (ICP), free text.

  • competitors string
  • extraMaterials[] string array
  • qna[] object array
    + Show Child Attributes
    • question string required
    • answer string required
  • accessScope string enum enum

    OWNER = private; WORKSPACE = shared (ADMIN/OWNER only). Allowed values: OWNER, WORKSPACE.

Response

application/json
  • statusCode number
  • status boolean
  • message string
  • data object
    + Show Child Attributes
    • workspace_product object
      + Show Child Attributes
      • id string
      • workspace_id string
      • name string
      • description string
      • pain_points[] string array
      • value_proposition[] string array
      • proof_points[] string array
      • cta string
      • meeting_link string
      • outreach_language string
      • website_url null | string
      • product_url null | string
      • customer_profile null | string
      • competitors null | string
      • extra_materials[] string array
      • qna[] object array
        + Show Child Attributes
        • [key: string] any additional

          Additional arbitrary properties are allowed.

      • access_scope string
      • created_at string
      • updated_at string
      • pitch_rules[] object array
        + Show Child Attributes
        • id string
        • rule string
        • is_do boolean
        • created_at string
        • updated_at string